Subject: bug#6165: 23.1.50; ido-mode stalls unexpectedly

From: Stefan Monnier <[email-masked]>
Date: Tue, 11 May 2010 15:34:38 -0400

> BUG: ido-find-file blocks all event processing while listing directory.
> therefore, under certain circumstances, emacs APPEARS dead.  actually it
> is just waiting while hundreds of subdirectories, on various slow NFS
> mounts, are listed (/bin/ls is no faster).  "appears dead" means window
> manager suggests killing it, though after directory listing completes
> (in 40 seconds), it recovers.

IIUC C-g is no help, right?
Can you run Emacs under GDB and show us a few backtraces of what it's
doing while "apparently dead"?
Make sure you start Emacs from its .../emacs/src directory so that GDB
reads the .gdbinit file which makes it display the Lisp backtrace
as well.

        Stefan